d1 = open("nomer")
getfirst(d1)
nom = 'Номер_док.'.d1
close(d1)

d = open ("dover")
if Find(d,1,1,nom) != 0 then  goto 900

rpt_open ("dover.rep")

dr=open("rekv")
getfirst(dr)

rpt_write ("Название1",'Название1'.dr)
rpt_write ("Адрес,тел.",'Адрес,тел.'.dr)
rpt_write ("ИНН",'ИНН'.dr)
rpt_write ("Код_ОКОНХ",'Код_ОКОНХ'.dr)
rpt_write ("Код_ОКПО",'Код_ОКПО'.dr)
rpt_write ("БИК",'БИК'.dr)
rpt_write ("Р/счет",'Р/счет'.dr)
rpt_write ("Банк1",'Банк1'.dr)
rpt_write ("К/счет",'К/счет'.dr)
rpt_write ("д",'Руководит.'.dr)
rpt_write ("б",'Гл.бухг.'.dr)


rpt_write ("Номер_док.",'Номер_док.'.d)

   mec1=substr('Дата'.d,5,2)
   mec2=substr('Дата_В'.d,5,2)
   god1=substr('Дата'.d,1,4)
   god2=substr('Дата_В'.d,1,4)

m1 = "test2"
m2 = "test3"

if mec1 = "01" then m1 = " января "+god1+" г."
if mec1 = "02" then m1 = " февраля "+god1+" г."
if mec1 = "03" then m1 = " марта "+god1+" г."
if mec1 = "04" then m1 = " апреля "+god1+" г."
if mec1 = "05" then m1 = " мая "+god1+" г."
if mec1 = "06" then m1 = " июня "+god1+" г."
if mec1 = "07" then m1 = " июля "+god1+" г."
if mec1 = "08" then m1 = " августа "+god1+" г."
if mec1 = "09" then m1 = " сентября "+god1+" г."
if mec1 = "10" then m1 = " октября "+god1+" г."
if mec1 = "11" then m1 = " ноября "+god1+" г."
if mec1 = "12" then m1 = " декабря "+god1+" г."

if mec2 = "01" then m2 = " января "+god2+" г."
if mec2 = "02" then m2 = " февраля "+god2+" г."
if mec2 = "03" then m2 = " марта "+god2+" г."
if mec2 = "04" then m2 = " апреля "+god2+" г."
if mec2 = "05" then m2 = " мая "+god2+" г."
if mec2 = "06" then m2 = " июня "+god2+" г."
if mec2 = "07" then m2 = " июля "+god2+" г."
if mec2 = "08" then m2 = " августа "+god2+" г."
if mec2 = "09" then m2 = " сентября "+god2+" г."
if mec2 = "10" then m2 = " октября "+god2+" г."
if mec2 = "11" then m2 = " ноября "+god2+" г."
if mec2 = "12" then m2 = " декабря "+god2+" г."

data = substr('Дата'.d,7,2)+m1
rpt_write ("Дата",data)
data_v = substr('Дата_В'.d,7,2)+m2
rpt_write ("Дата_В",data_v)

rpt_write ("Должность",'Должность'.d)
rpt_write ("ФИО",'ФИО'.d)
rpt_write ("Паспорт",'Паспорт'.d)
rpt_write ("Дата_П",fldtodate('Дата_П'.d))
rpt_write ("Выдан_П",'Выдан_П'.d)
rpt_write ("Название",'Название'.d)
rpt_write ("Документ",'Документ'.d)


rpt_write ("Наимен.1",'Наимен.1'.d)
rpt_write ("Ед.1",'Ед.1'.d)
rpt_write ("Кол.1",'Кол.1'.d)

rpt_write ("Наимен.2",'Наимен.2'.d)
rpt_write ("Ед.2",'Ед.2'.d)
rpt_write ("Кол.2",'Кол.2'.d)

rpt_write ("Наимен.3",'Наимен.3'.d)
rpt_write ("Ед.3",'Ед.3'.d)
rpt_write ("Кол.3",'Кол.3'.d)

rpt_write ("Наимен.4",'Наимен.4'.d)
rpt_write ("Ед.4",'Ед.4'.d)
rpt_write ("Кол.4",'Кол.4'.d)

rpt_write ("Наимен.5",'Наимен.5'.d)
rpt_write ("Ед.5",'Ед.5'.d)
rpt_write ("Кол.5",'Кол.5'.d)

rpt_write ("Наимен.6",'Наимен.6'.d)
rpt_write ("Ед.6",'Ед.6'.d)
rpt_write ("Кол.6",'Кол.6'.d)

rpt_write ("Наимен.7",'Наимен.7'.d)
rpt_write ("Ед.7",'Ед.7'.d)
rpt_write ("Кол.7",'Кол.7'.d)

rpt_write ("Наимен.8",'Наимен.8'.d)
rpt_write ("Ед.8",'Ед.8'.d)
rpt_write ("Кол.8",'Кол.8'.d)

rpt_line
rpt_view
rpt_close

    close(dr)
900 close(d)
    end

